org.openstreetmap.josm.plugins.streetside.actions

## Class StreetsideDownloadAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.openstreetmap.josm.actions.JosmAction
    - - org.openstreetmap.josm.plugins.streetside.actions.StreetsideDownloadAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action, Destroyable

      public class StreetsideDownloadAction
      extends JosmAction

  Action that triggers the plugin. If in automatic mode, it will automatically download the images in the areas where there is OSM data.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.openstreetmap.josm.actions.JosmAction

      `JosmAction.ActiveLayerChangeAdapter, JosmAction.LayerChangeAdapter, JosmAction.SelectionChangeAdapter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `static Shortcut` | `SHORTCUT`

    - ### Fields inherited from class org.openstreetmap.josm.actions.JosmAction

      `sc`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsideDownloadAction()` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent ae)`

    - ### Methods inherited from class org.openstreetmap.josm.actions.JosmAction

      `checkAndConfirmOutlyingOperation, destroy, getLayerManager, getShortcut, initEnabledState, installAdapters, listenToLayerChange, listenToSelectionChange, setTooltip, updateEnabledState, updateEnabledState, updateEnabledStateOnCurrentSelection, updateEnabledStateOnCurrentSelection, updateEnabledStateOnModifiableSelection, waitFuture`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### SHORTCUT

          public static final Shortcut SHORTCUT

  - ### Constructor Detail

    - #### StreetsideDownloadAction

          public StreetsideDownloadAction()

      Main constructor.

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent ae)

JOSM Plugins